from typing import Optional

from sqlmodel import SQLModel, Field


class Bug(SQLModel, table=True):
    id: Optional[int] = Field(primary_key=True)
    name: str = None
    description: Optional[str] = None
    weight: Optional[int] = 5
