from typing import Optional

from pydantic import BaseModel, Field


class Step(BaseModel):
    name: str = Field(..., description="The name of the step")
    description: Optional[str] = Field(None, description="A description for the step")
