import pytest

from hogwarts_testing_platform.model.testcase import TestCase
from hogwarts_testing_platform.model.user import User
from hogwarts_testing_platform.repo.repo_factory import RepoFactory
from hogwarts_testing_platform.service.testcase_service import TestCaseService


@pytest.fixture
def repo():
    return RepoFactory.get_repo('fake')


def test_add(repo):
    case_service = TestCaseService(repo)
    case1 = TestCase()
    case1.id = 1
    case_service.add(case1)
    case2 = case_service.get(case1.id)
    assert case1 == case2


def test_delete():
    assert False


def test_get():
    assert False


def test_run():
    assert False
