from sqlmodel import SQLModel

from hogwarts_testing_platform.repo.base_repo import BaseRepo


class FakeRepo(BaseRepo):
    def __init__(self):
        self.data = []

    def _get(self, id):
        for item in self.data:
            print(item.id)
            print(id)
            if item.id == id:
                print(item)
                return item

    def add(self, model: SQLModel):
        self.data.append(model)
        print(self.data)

    def _list(self):
        return self.data
