from flask import render_template, session, request
from flask.views import MethodView
from werkzeug.utils import redirect


class DemoView(MethodView):
    def get(self, path):
        if 'email' in session:
            return render_template(path)
        elif 'login.html' not in request.path:
            return redirect('http://127.0.0.1:5000/demo/login.html')
        else:
            return render_template('login.html')
