from hogwarts_testing_platform.model.testcase import TestCase
from hogwarts_testing_platform.repo.base_repo import BaseRepo


class TestCaseService():
    def __init__(self, repo):
        self.repo: BaseRepo = repo

    def add(self, case: TestCase):
        self.repo.add(case)

    def delete(self, id):
        self.repo.delete(id)

    def get(self, id) -> TestCase:
        return self.repo.get(id)

    def run(self, id):
        case = self.repo.get(id)
        # todo: 调用Jenkins
