from hogwarts_testing_platform.model.user import User
from sqlmodel import create_engine, SQLModel, Session


def test_user():
    engine = create_engine("sqlite:///database.db")
    SQLModel.metadata.create_all(engine)

    with Session(engine) as session:
        admin = User(username='abcde')
        print(admin.model_dump())
        session.add(admin)
        session.commit()
